import { Box } from '@chakra-ui/react'
import React from 'react'
import CardList from './components/card-list'
import { consumersRequestList } from '@/app/lib/consumers/action'
import { getKycs } from '@/app/lib/kyc/action';
import { getAttempts } from '@/app/lib/attempt/action';


interface UsersProps {
    searchParams: {
        page: number;
        q: string;
    };
}


const Page = async ({ searchParams }: UsersProps) => {
    const data = await getAttempts()


    return (
        <>
            <Box pt={{ base: "130px", md: "80px", xl: "80px" }} mb="20px">
                <CardList data={data?.data} />
            </Box>
        </>
    )
}

export default Page   